Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyC.h File Reference

`#include "ace/pre.h"`
`#include "TAO_Export.h"`
`#include "Encodable.h"`
`#include "Exception.h"`
`#include "Environment.h"`
`#include "Sequence.h"`
`#include "CDR.h"`
`#include "Remote_Object_Proxy_Impl.h"`
`#include "CurrentC.h"`
`#include "ace/post.h"`

Include dependency graph for PolicyC.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_InvalidPolicies::_tao_seq_UShort
class | _TAO_Unbounded_Object_Sequence_CORBA_PolicyList
class | CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort
class | _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq
class | CORBA_InvalidPolicies
class | CORBA_Policy
class | CORBA_Policy_out
class | CORBA_Policy_var
class | CORBA_PolicyCurrent
class | CORBA_PolicyCurrent_out
class | CORBA_PolicyCurrent_var
class | CORBA_PolicyError
class | CORBA_PolicyList
class | CORBA_PolicyList_out
class | CORBA_PolicyList_var
class | CORBA_PolicyManager
class | CORBA_PolicyManager_out
class | CORBA_PolicyManager_var
class | CORBA_PolicyTypeSeq
class | CORBA_PolicyTypeSeq_out
class | CORBA_PolicyTypeSeq_var
class | CORBA_TAO_Policy_Proxy_Broker
class | CORBA_TAO_Policy_Proxy_Impl
class | CORBA_TAO_Policy_Remote_Proxy_Broker
class | CORBA_TAO_Policy_Remote_Proxy_Impl
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_POLICYERROR_CH_
#define | _CORBA_INVALIDPOLICIES_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CH_
#define | _CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CH_
#define | _CORBA_POLICY___VAR_CH_
#define | _CORBA_POLICY___OUT_CH_
#define | _CORBA_POLICY_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_POLICYLIST_CH_
#define | _CORBA_POLICYLIST_CH_
#define | _CORBA_POLICYLIST___VAR_CH_
#define | _CORBA_POLICYLIST___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_POLICYTYPESEQ_CH_
#define | _CORBA_POLICYTYPESEQ_CH_
#define | _CORBA_POLICYTYPESEQ___VAR_CH_
#define | _CORBA_POLICYTYPESEQ___OUT_CH_
#define | _CORBA_POLICYMANAGER___VAR_CH_
#define | _CORBA_POLICYMANAGER___OUT_CH_
#define | _CORBA_POLICYMANAGER_CH_
#define | _CORBA_POLICYCURRENT___VAR_CH_
#define | _CORBA_POLICYCURRENT___OUT_CH_
#define | _CORBA_POLICYCURRENT_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::InvalidPolicies &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::InvalidPolicies*)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::InvalidPolicies *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::InvalidPolicies *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Policy *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyError &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyError &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::InvalidPolicies &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::InvalidPolicies &)
TAO_Export CORBA::Boolean | operator<< ( TAO_OutputCDR &, const CORBA::InvalidPolicies::_tao_seq_UShort & )
TAO_Export CORBA::Boolean | operator>> ( TAO_InputCDR &, CORBA::InvalidPolicies::_tao_seq_UShort & )
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::SetOverrideType &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::SetOverrideType &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

#define _CORBA_INVALIDPOLICIES_CH_

#define _CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CH_

#define _CORBA_POLICYCURRENT_CH_

#define _CORBA_POLICYCURRENT___OUT_CH_

#define _CORBA_POLICYCURRENT___VAR_CH_

#define _CORBA_POLICYERROR_CH_

#define _CORBA_POLICYLIST_CH_

#define _CORBA_POLICYLIST___OUT_CH_

#define _CORBA_POLICYLIST___VAR_CH_

#define _CORBA_POLICYMANAGER_CH_

#define _CORBA_POLICYMANAGER___OUT_CH_

#define _CORBA_POLICYMANAGER___VAR_CH_

#define _CORBA_POLICYTYPESEQ_CH_

#define _CORBA_POLICYTYPESEQ___OUT_CH_

#define _CORBA_POLICYTYPESEQ___VAR_CH_

#define _CORBA_POLICY_CH_

#define _CORBA_POLICY___OUT_CH_

#define _CORBA_POLICY___VAR_CH_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_POLICYLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CH_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_POLICYTYPESEQ_CH_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA::SetOverrideType & _tao_enumval )

TAO_Export CORBA::Boolean operator<< ( | TAO_OutputCDR &,
| const CORBA::InvalidPolicies::_tao_seq_UShort & )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA::InvalidPolicies & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA::PolicyError & _tao_aggregate )

TAO_Export void operator<<= ( | CORBA::Any &,
| CORBA::InvalidPolicies * )

TAO_Export void operator<<= ( | CORBA::Any &,
| const CORBA::InvalidPolicies & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA::SetOverrideType & _tao_enumval )

TAO_Export CORBA::Boolean operator>> ( | TAO_InputCDR &,
| CORBA::InvalidPolicies::_tao_seq_UShort & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA::InvalidPolicies & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA::PolicyError & _tao_aggregate )

TAO_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| CORBA::Policy *& )

TAO_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| const CORBA::InvalidPolicies *& )

TAO_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| CORBA::InvalidPolicies *& )